Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trddyn.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trddyn.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trddyn.F90	(revision 9814)
@@ -129,5 +129,5 @@
                                  END DO
                               END DO
-                              CALL lbc_lnk_multi( z3dx, 'U', -1., z3dy, 'V', -1. )
+                              CALL lbc_lnk_multi("trddyn",z3dx, 'U', -1., z3dy, 'V', -1. )
                               CALL iom_put( "utrd_udx", z3dx  )
                               CALL iom_put( "vtrd_vdy", z3dy  )
@@ -165,5 +165,5 @@
 !                                 END DO
 !                              END DO
-!                              CALL lbc_lnk_multi( z3dx, 'U', -1., z3dy, 'V', -1. )
+!                              CALL lbc_lnk_multi("trddyn",z3dx, 'U', -1., z3dy, 'V', -1. )
 !                              CALL iom_put( "utrd_bfr", z3dx )
 !                              CALL iom_put( "vtrd_bfr", z3dy )
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdken.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdken.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdken.F90	(revision 9814)
@@ -88,5 +88,5 @@
       !!----------------------------------------------------------------------
       !
-      CALL lbc_lnk_multi( putrd, 'U', -1. , pvtrd, 'V', -1. )      ! lateral boundary conditions
+      CALL lbc_lnk_multi("trdken",putrd, 'U', -1. , pvtrd, 'V', -1. )      ! lateral boundary conditions
       !
       nkstp = kt
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdmxl.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdmxl.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdmxl.F90	(revision 9814)
@@ -152,5 +152,5 @@
 !!gm to be put juste before the output !
 !      ! Lateral boundary conditions
-!      CALL lbc_lnk_multi( tmltrd(:,:,jl), 'T', 1. , smltrd(:,:,jl), 'T', 1. )
+!      CALL lbc_lnk_multi("trdmxl",tmltrd(:,:,jl), 'T', 1. , smltrd(:,:,jl), 'T', 1. )
 !!gm end
 
@@ -470,5 +470,5 @@
          !-- Lateral boundary conditions
          !         ... temperature ...                    ... salinity ...
-         CALL lbc_lnk_multi( ztmltot , 'T', 1., zsmltot , 'T', 1., &
+         CALL lbc_lnk_multi("trdmxl",ztmltot , 'T', 1., zsmltot , 'T', 1., &
                   &          ztmlres , 'T', 1., zsmlres , 'T', 1., &
                   &          ztmlatf , 'T', 1., zsmlatf , 'T', 1. )
@@ -521,8 +521,8 @@
          !-- Lateral boundary conditions
          !         ... temperature ...                    ... salinity ...
-         CALL lbc_lnk_multi( ztmltot2, 'T', 1., zsmltot2, 'T', 1., &
+         CALL lbc_lnk_multi("trdmxl",ztmltot2, 'T', 1., zsmltot2, 'T', 1., &
                   &          ztmlres2, 'T', 1., zsmlres2, 'T', 1. )
          !
-         CALL lbc_lnk_multi( ztmltrd2(:,:,:), 'T', 1., zsmltrd2(:,:,:), 'T', 1. ) ! /  in the NetCDF trends file
+         CALL lbc_lnk_multi("trdmxl",ztmltrd2(:,:,:), 'T', 1., zsmltrd2(:,:,:), 'T', 1. ) ! /  in the NetCDF trends file
          
          ! III.3 Time evolution array swap
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdvor.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdvor.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/TRD/trdvor.F90	(revision 9814)
@@ -161,5 +161,5 @@
 
       zudpvor(:,:) = 0._wp                 ;   zvdpvor(:,:) = 0._wp                    ! Initialisation
-      CALL lbc_lnk_multi( putrdvor, 'U', -1. , pvtrdvor, 'V', -1. )      ! lateral boundary condition
+      CALL lbc_lnk_multi("trdvor",putrdvor, 'U', -1. , pvtrdvor, 'V', -1. )      ! lateral boundary condition
       
 
@@ -250,5 +250,5 @@
       zvdpvor(:,:) = 0._wp
       !                            ! lateral boundary condition on input momentum trends
-      CALL lbc_lnk_multi( putrdvor, 'U', -1. , pvtrdvor, 'V', -1. )
+      CALL lbc_lnk_multi("trdvor",putrdvor, 'U', -1. , pvtrdvor, 'V', -1. )
 
       !  =====================================
@@ -395,5 +395,5 @@
 
          ! Boundary conditions
-         CALL lbc_lnk_multi( vor_avrtot, 'F', 1. , vor_avrres, 'F', 1. )
+         CALL lbc_lnk_multi("trdvor",vor_avrtot, 'F', 1. , vor_avrres, 'F', 1. )
 
 
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_fmask.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_fmask.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_fmask.F90	(revision 9814)
@@ -143,5 +143,5 @@
       ENDIF
       !
-      CALL lbc_lnk( pfmsk, 'F', 1._wp )      ! Lateral boundary conditions on fmask
+      CALL lbc_lnk("usrdef_fmask",pfmsk, 'F', 1._wp )      ! Lateral boundary conditions on fmask
       !
    END SUBROUTINE usr_def_fmask
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_zgr.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_zgr.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/USR/usrdef_zgr.F90	(revision 9814)
@@ -3,9 +3,9 @@
    !!                       ***  MODULE  usrdef_zgr  ***
    !!
-   !!                       ===  GYRE configuration  ===
+   !!                      ===  BENCH configuration  ===
    !!
    !! User defined : vertical coordinate system of a user configuration
    !!======================================================================
-   !! History :  4.0  ! 2016-06  (G. Madec)  Original code
+   !! History :  4.0  ! 
    !!----------------------------------------------------------------------
 
@@ -18,4 +18,5 @@
    USE oce            ! ocean variables
    USE dom_oce        ! ocean domain
+   USE phycst         ! physical constants
    USE depth_e3       ! depth <=> e3
    !
@@ -29,10 +30,10 @@
    PUBLIC   usr_def_zgr        ! called by domzgr.F90
 
-   !! * Substitutions
+  !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! NEMO/OPA 4.0 , NEMO Consortium (2016)
+   !! $Id$
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS             
@@ -65,5 +66,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_zgr : GYRE configuration (z-coordinate closed flat box ocean without cavities)'
+      IF(lwp) WRITE(numout,*) 'usr_def_zgr : BENCH configuration (z-coordinate closed flat box ocean)'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       !
@@ -71,5 +72,5 @@
       ! type of vertical coordinate
       ! ---------------------------
-      ld_zco    = .TRUE.         ! GYRE case:  z-coordinate without ocean cavities
+      ld_zco    = .TRUE.         ! BENCH case:  z-coordinate without ocean cavities
       ld_zps    = .FALSE.
       ld_sco    = .FALSE.
@@ -126,15 +127,8 @@
       !
       INTEGER  ::   jk       ! dummy loop indices
-      REAL(wp) ::   zt, zw   ! local scalars
-      REAL(wp) ::   zsur, za0, za1, zkth, zacr   ! Values for the Madec & Imbard (1996) function  
-      !!----------------------------------------------------------------------
-      !
-      ! Set parameters of z(k) function
-      ! -------------------------------
-      zsur = -2033.194295283385_wp       
-      za0  =   155.8325369664153_wp 
-      za1  =   146.3615918601890_wp
-      zkth =    17.28520372419791_wp   
-      zacr =     5.0_wp       
+      REAL(wp) ::   zd       ! local scalar
+      !!----------------------------------------------------------------------
+      !
+      zd = 5000./FLOAT(jpkm1)
       !
       IF(lwp) THEN            ! Parameter print
@@ -142,10 +136,6 @@
          WRITE(numout,*) '    zgr_z   : Reference vertical z-coordinates '
          WRITE(numout,*) '    ~~~~~~~'
-         WRITE(numout,*) '       GYRE case : MI96 function with the following coefficients :'
-         WRITE(numout,*) '                 zsur = ', zsur
-         WRITE(numout,*) '                 za0  = ', za0
-         WRITE(numout,*) '                 za1  = ', za1
-         WRITE(numout,*) '                 zkth = ', zkth
-         WRITE(numout,*) '                 zacr = ', zacr
+         WRITE(numout,*) '       BENCH case : uniform vertical grid :'
+         WRITE(numout,*) '                     with thickness = ', zd
       ENDIF
 
@@ -154,9 +144,10 @@
       ! -------------------------
       !
-      DO jk = 1, jpk          ! depth at T and W-points
-         zw = REAL( jk , wp )
-         zt = REAL( jk , wp ) + 0.5_wp
-         pdepw_1d(jk) = ( zsur + za0 * zw + za1 * zacr *  LOG( COSH( (zw-zkth) / zacr ) )  )
-         pdept_1d(jk) = ( zsur + za0 * zt + za1 * zacr *  LOG( COSH( (zt-zkth) / zacr ) )  )
+      pdepw_1d(1) = 0._wp
+      pdept_1d(1) = 0.5_wp * zd
+      ! 
+      DO jk = 2, jpk          ! depth at T and W-points
+         pdepw_1d(jk) = pdepw_1d(jk-1) + zd 
+         pdept_1d(jk) = pdept_1d(jk-1) + zd 
       END DO
       !
@@ -183,5 +174,5 @@
       !! ** Purpose :   set the masked top and bottom ocean t-levels
       !!
-      !! ** Method  :   GYRE case = closed flat box ocean without ocean cavities
+      !! ** Method  :   BENCH case = closed flat box ocean without ocean cavities
       !!                   k_top = 1     except along north, south, east and west boundaries
       !!                   k_bot = jpk-1 except along north, south, east and west boundaries
@@ -193,4 +184,5 @@
       !
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D local workspace
+      REAL(wp)                     ::   zmaxlam, zscl
       !!----------------------------------------------------------------------
       !
@@ -198,9 +190,9 @@
       IF(lwp) WRITE(numout,*) '    zgr_top_bot : defines the top and bottom wet ocean levels.'
       IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~'
-      IF(lwp) WRITE(numout,*) '       GYRE case : closed flat box ocean without ocean cavities'
+      IF(lwp) WRITE(numout,*) '       BENCH case : closed flat box ocean without ocean cavities'
       !
       z2d(:,:) = REAL( jpkm1 , wp )          ! flat bottom
       !
-      CALL lbc_lnk( z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
+      CALL lbc_lnk("usrdef_zgr",z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
       !
       k_bot(:,:) = INT( z2d(:,:) )           ! =jpkm1 over the ocean point, =0 elsewhere
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfosm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfosm.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfosm.F90	(revision 9814)
@@ -1287,5 +1287,5 @@
 
        ! Lateral boundary conditions on zvicos (sign unchanged), needed to caclulate viscosities on u and v grids
-       CALL lbc_lnk( zviscos(:,:,:), 'W', 1. )
+       CALL lbc_lnk("zdfosm",zviscos(:,:,:), 'W', 1. )
 
        ! GN 25/8: need to change tmask --> wmask
@@ -1300,5 +1300,5 @@
      END DO
       ! Lateral boundary conditions on ghamu and ghamv, currently on W-grid  (sign unchanged), needed to caclulate gham[uv] on u and v grids
-     CALL lbc_lnk_multi( p_avt, 'W', 1. , p_avm, 'W', 1.,   &
+     CALL lbc_lnk_multi("zdfosm",p_avt, 'W', 1. , p_avm, 'W', 1.,   &
       &                  ghamu, 'W', 1. , ghamv, 'W', 1. )
        DO jk = 2, jpkm1
@@ -1318,5 +1318,5 @@
         ! Lateral boundary conditions on final outputs for gham[ts],  on W-grid  (sign unchanged)
         ! Lateral boundary conditions on final outputs for gham[uv],  on [UV]-grid  (sign unchanged)
-        CALL lbc_lnk_multi( ghamt, 'W', 1. , ghams, 'W', 1.,   &
+        CALL lbc_lnk_multi("zdfosm",ghamt, 'W', 1. , ghams, 'W', 1.,   &
          &                  ghamu, 'U', 1. , ghamv, 'V', 1. )
 
@@ -1359,5 +1359,5 @@
       END IF
       ! Lateral boundary conditions on p_avt  (sign unchanged)
-      CALL lbc_lnk( p_avt(:,:,:), 'W', 1. )
+      CALL lbc_lnk("zdfosm",p_avt(:,:,:), 'W', 1. )
       !
    END SUBROUTINE zdf_osm
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfphy.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfphy.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ZDF/zdfphy.F90	(revision 9814)
@@ -292,13 +292,13 @@
       !                                         !* Lateral boundary conditions (sign unchanged)
       IF( l_zdfsh2 ) THEN
-         CALL lbc_lnk_multi( avm_k, 'W', 1. , avt_k, 'W', 1.,   &
+         CALL lbc_lnk_multi("zdfphy",avm_k, 'W', 1. , avt_k, 'W', 1.,   &
             &                avm  , 'W', 1. , avt  , 'W', 1. , avs , 'W', 1. )
       ELSE
-         CALL lbc_lnk_multi( avm  , 'W', 1. , avt  , 'W', 1. , avs , 'W', 1. )
+         CALL lbc_lnk_multi("zdfphy",avm  , 'W', 1. , avt  , 'W', 1. , avs , 'W', 1. )
       ENDIF
       !
       IF( l_zdfdrg ) THEN     ! drag  have been updated (non-linear cases)
-         IF( ln_isfcav ) THEN   ;  CALL lbc_lnk_multi( rCdU_top, 'T', 1. , rCdU_bot, 'T', 1. )   ! top & bot drag
-         ELSE                   ;  CALL lbc_lnk      ( rCdU_bot, 'T', 1. )                       ! bottom drag only
+         IF( ln_isfcav ) THEN   ;  CALL lbc_lnk_multi("zdfphy",rCdU_top, 'T', 1. , rCdU_bot, 'T', 1. )   ! top & bot drag
+         ELSE                   ;  CALL lbc_lnk("zdfphy",rCdU_bot, 'T', 1. )                       ! bottom drag only
          ENDIF
       ENDIF
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/nemogcm.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/nemogcm.F90	(revision 9814)
@@ -84,4 +84,5 @@
    USE lib_mpp        ! distributed memory computing
    USE mppini         ! shared/distributed memory setting (mpp_init routine)
+   USE lbclnk 
    USE lbcnfd  , ONLY : isendto, nsndto, nfsloop, nfeloop   ! Setup of north fold exchanges 
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
@@ -190,37 +191,5 @@
             IF ( istp == ( nit000 + 1 ) ) tic = MPI_Wtime()
             IF ( ln_comm_only .AND. istp >= ( nit000  + 1 )) THEN
-               DO i = 1, n_sequence
-                 IF ( icomm_sequence(i,1) == 1 ) THEN
-                    SELECT CASE ( icomm_sequence(i,2) )
-                      CASE (1)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1. )
-                      CASE (2)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1., vn(:,:,1)  , 'V', -1.)
-                      CASE (3)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1., vn(:,:,1)  , 'V', -1., ua(:,:,1), 'U', -1.)
-                      CASE (4)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1., vn(:,:,1)  , 'V', -1., ua(:,:,1), 'U', -1., va(:,:,1)  , 'V', -1.)
-                      CASE (5)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1., vn(:,:,1)  , 'V', -1., ua(:,:,1), 'U', -1., va(:,:,1)  , 'V', -1., ub(:,:,1)  , 'U', -1.)
-                      CASE (6)
-                      CALL lbc_lnk_multi( un(:,:,1)  , 'U', -1., vn(:,:,1)  , 'V', -1., ua(:,:,1), 'U', -1., va(:,:,1)  , 'V', -1., ub(:,:,1)  , 'U', -1., vb(:,:,1)  , 'V', -1. )
-                    END SELECT
-                 ELSE
-                    SELECT CASE ( icomm_sequence(i,2) )
-                      CASE (1)
-                      CALL lbc_lnk_multi( un  , 'U', -1. )
-                      CASE (2)
-                      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1.)
-                      CASE (3)
-                      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1., ua, 'U', -1.)
-                      CASE (4)
-                      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1., ua, 'U', -1., va  , 'V', -1.)
-                      CASE (5)
-                      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1., ua, 'U', -1., va  , 'V', -1., ub  , 'U', -1.)
-                      CASE (6)
-                      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1., ua, 'U', -1., va  , 'V', -1., ub  , 'U', -1., vb  , 'V', -1. )
-                    END SELECT
-                 ENDIF
-               ENDDO
+              CALL simulated_lbc_lnk
             ELSE
               CALL stp        ( istp ) 
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/step.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/step.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/step.F90	(revision 9814)
@@ -313,5 +313,6 @@
       ! Control
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                         CALL stp_ctl      ( kstp, indic )
+                  !EM remove time stepping writing imbalance
+                  !       CALL stp_ctl      ( kstp, indic )
                          
       IF( kstp == nit000 ) THEN                          ! 1st time step only
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/diawri.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/diawri.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/diawri.F90	(revision 9814)
@@ -181,5 +181,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', 1. )
          CALL iom_put( "taubot", z2d )           
       ENDIF
@@ -237,5 +237,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', 1. )
          CALL iom_put( "sstgrad2",  z2d )          ! square of module of sst gradient
          z2d(:,:) = SQRT( z2d(:,:) )
@@ -281,5 +281,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z3d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z3d, 'T', 1. )
          CALL iom_put( "eken", z3d )                 ! kinetic energy
       ENDIF
@@ -307,5 +307,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'U', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'U', -1. )
          CALL iom_put( "u_heattr", 0.5*rcp * z2d )    ! heat transport in i-direction
       ENDIF
@@ -320,5 +320,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'U', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'U', -1. )
          CALL iom_put( "u_salttr", 0.5 * z2d )        ! heat transport in i-direction
       ENDIF
@@ -342,5 +342,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'V', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'V', -1. )
          CALL iom_put( "v_heattr", 0.5*rcp * z2d )    !  heat transport in j-direction
       ENDIF
@@ -355,5 +355,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'V', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'V', -1. )
          CALL iom_put( "v_salttr", 0.5 * z2d )        !  heat transport in j-direction
       ENDIF
@@ -368,5 +368,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', -1. )
          CALL iom_put( "tosmint", rau0 * z2d )        ! Vertical integral of temperature
       ENDIF
@@ -380,5 +380,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', -1. )
          CALL iom_put( "somint", rau0 * z2d )         ! Vertical integral of salinity
       ENDIF
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/usrdef_zgr.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/usrdef_zgr.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/tests/BENCH/MY_SRC/usrdef_zgr.F90	(revision 9814)
@@ -194,5 +194,5 @@
       z2d(:,:) = REAL( jpkm1 , wp )          ! flat bottom
       !
-      CALL lbc_lnk( z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
+      CALL lbc_lnk( "usrdef_zgr", z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
       !
       k_bot(:,:) = INT( z2d(:,:) )           ! =jpkm1 over the ocean point, =0 elsewhere
